Package ru.bitel.bgbilling.plugins.edo.server.bean

# Class EdoManager

java.lang.Object
ru.bitel.bgbilling.plugins.edo.server.bean.EdoManager

public class EdoManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EdoManager(Connection con, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContragentSearchInfo`
  `getContragentSearchInfoForContract(int contractId)`
  `ParameterMap`
  `getDocumentSetup(Integer edoDocumentTypeId, Integer signatoryId, Integer contractId)`
  Общий метод получения конфига генерируемого документа по типу, подписанту, договору; объединяет конфиги со всех мест в один общий.
  `String`
  `process_value(ParameterMap setup, int contractId, String nameValue, boolean required)`
  Общий метод на здесь, на поиск в FnsFileGenerator итд, из конфига парсит значения и берёт их откуда настроено.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EdoManager

    public EdoManager(Connection con, int userId)

- ## Method Details

  - ### getContragentSearchInfoForContract

    public ContragentSearchInfo getContragentSearchInfoForContract(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### process_value

    public String process_value(ParameterMap setup, int contractId, String nameValue, boolean required) throws ru.bitel.bgbilling.common.BGException
    Общий метод на здесь, на поиск в FnsFileGenerator итд, из конфига парсит значения и берёт их откуда настроено. В FnsFileGenerator расширяется поиск ещё дополнительно. Взять значение по переданному коду параметра; Макросы откуда пытаться взять: pid:666 - брать из параметра договора; contract:comment - поле договора (title, comment) 666 - константа как есть.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDocumentSetup

    public ParameterMap getDocumentSetup(Integer edoDocumentTypeId, Integer signatoryId, Integer contractId) throws ru.bitel.bgbilling.common.BGException
    Общий метод получения конфига генерируемого документа по типу, подписанту, договору; объединяет конфиги со всех мест в один общий. Порядок/приоритет поиска в конфигах сейчас такой (первые перекрывают последних): договор -> подписант -> документ -> общий-документ -> конфиг плагина. Если какой-то ид не задан (==null) то этот конфиг не учитывается (берутся остальные уровни).
    Throws:
      `ru.bitel.bgbilling.common.BGException`